//终端告警相关
import request from '@/utils/request'

export default {
    //查询主列表
    getList(data) {
        return request({
            url: '/device-boot/alarm/alarmList',
            method: 'post',
            data: data,
        })
    },

    getListDetail(data) {
        return request({
            url: '/device-boot/alarm/alarmDetail',
            method: 'post',
            data: data,
        })
    },
    //获取告警策略
    getAlarmStrategyData(data) {
        return request({
            url: '/device-boot/Alarm/getAlarmStrategyData',
            method: 'post',
            data: data,
        })
    },
    //新增告警策略
    addAlarmStrategyData(data) {
        return request({
            url: '/device-boot/Alarm/addAlarmStrategyById',
            method: 'post',
            data: data
        })
    },
    //删除告警策略
    delAlarmStrategyData(data) {
        return request({
            url: '/device-boot/Alarm/removeAlarmStrategyData?id=' + data.id,
            method: 'post',
        })
    },
    //修改告警策略
    upAlarmStrategyData(data) {
        return request({
            url: '/device-boot/Alarm/updateAlarmStrategyById',
            method: 'post',
            data: data
        })
    },
}